%define languagecode    de
%define lc_ctype        de_DE

%define upstream_version 20161207

Name:           hunspell-de
Version:        0.%{upstream_version}.1
Release:        %mkrel 3
Summary:        German hunspell dictionaries
License:        GPLv2 or GPLv3
Group:          System/Internationalization
URL:            http://www.j3e.de/ispell/igerman98
Source0:        http://www.j3e.de/ispell/igerman98/dict/igerman98-%{upstream_version}.tar.bz2
Patch0:         %{name}-0.20110609.1-mga-fix-sed.patch

BuildRequires:  aspell
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-de
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-de_AT = %{version}-%{release}
Provides:       hunspell-de_CH = %{version}-%{release}
Provides:       hunspell-de_BE = %{version}-%{release}
Provides:       hunspell-de_LI = %{version}-%{release}
Provides:       hunspell-de_LU = %{version}-%{release}

#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-de_AT = 2
Provides:       dictionary-de_CH = 2
Provides:       dictionary-de_BE = 2
Provides:       dictionary-de_LI = 2
Provides:       dictionary-de_LU = 2


#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-de_AT < 1.0.3
Provides:       myspell-de_AT
Obsoletes:      myspell-de_CH < 1.0.3
Provides:       myspell-de_CH

AutoReqProv:    no


%description
German (Germany, Switzerland, etc.) hunspell dictionaries.


%prep
%setup -q -n igerman98-%{upstream_version}
%patch0 -p0

sed -i -e "s/AFFIX_EXPANDER = ispell/AFFIX_EXPANDER = aspell/g" Makefile

%build
make hunspell/de_AT.dic hunspell/de_AT.aff \
     hunspell/de_CH.dic hunspell/de_CH.aff \
     hunspell/de_DE.dic hunspell/de_DE.aff
cd hunspell
for i in README_*.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
for lang in `echo hunspell/de_??.dic`
do
    lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
    install -D -m 0644 -p hunspell/$lang.dic %{buildroot}%{_datadir}/hunspell/$lang.dic
    install -D -m 0644 -p hunspell/$lang.aff %{buildroot}%{_datadir}/hunspell/$lang.aff
done

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/de_*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc hunspell/README_de_??.txt hunspell/COPYING_GPLv2 hunspell/COPYING_GPLv3 hunspell/Copyright
%doc Documentation/*
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20161207.1-3.mga8
+ Revision: 1501585
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.20161207.1-2.mga7
+ Revision: 1278721
- Mageia 7 Mass Rebuild

* Fri Mar 30 2018 kekepower <kekepower> 0.20161207.1-1.mga7
+ Revision: 1213590
- Fix file list
- Update to release 20161207

* Fri Feb 05 2016 umeabot <umeabot> 0.20131206.1-4.mga6
+ Revision: 936666
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20131206.1-3.mga5
+ Revision: 750845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20131206.1-2.mga5
+ Revision: 680226
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Sep 07 2014 spuhler <spuhler> 0.20131206.1-1.mga5
+ Revision: 673071
- upgrade to version 20131206

* Sun Oct 20 2013 umeabot <umeabot> 0.20120607.1-2.mga4
+ Revision: 536823
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.20120607.1-1.mga4
+ Revision: 485748
- New version: 0.20120607.1

* Sat Jan 12 2013 umeabot <umeabot> 0.20110609.1-7.mga3
+ Revision: 353425
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20110609.1-6.mga3
+ Revision: 325215
- add P0: mga-fix-sed.patch
- fix building dictionaries
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20110609.1-5.mga2
+ Revision: 224589
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20110609.1-4.mga2
+ Revision: 207699
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 0.20110609.1-3.mga2
+ Revision: 196985
- adapt .spec to the current policy

* Thu Jul 07 2011 ahmad <ahmad> 0.20110609.1-2.mga2
+ Revision: 119763
- Update to 20110609

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20100727.1-2.mga1
+ Revision: 68719
- imported package hunspell-de


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20100727-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 30 2010 Caolán McNamara <caolanm@redhat.com> - 0.20100727-1
- latest version

* Thu Oct 08 2009 Caolán McNamara <caolanm@redhat.com> - 0.20091006-1
- latest version
- drop integrated igerman98-20090107-useaspell.patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090107-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090107-3
- tidy spec

* Thu Apr 23 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090107-2
- fix dictionaries

* Thu Feb 26 2009 Caolán McNamara <caolanm@redhat.com> - 0.20090107-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20071211-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 11 2007 Caolán McNamara <caolanm@redhat.com> - 0.20071211-1
- latest version

* Thu Aug 30 2007 Caolán McNamara <caolanm@redhat.com> - 0.20070829-1
- latest version
- build from canonical source

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 0.20051213-2
- clarify license version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20051213-1
- initial version
